Bug 1020199 - Packstack should change the admin user's default email address in keystone
Packstack should change the admin user's default email address in keystone
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
5.0 (RHEL 7)
Unspecified Unspecified
medium Severity medium
: async
: ---
Assigned To: Javier Peña
Ido Ovadia
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-10-17 05:22 EDT by Rami Vaknin
Modified: 2015-06-22 08:54 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-22 08:54:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 124406 None None None Never

  None (edit)
Description Rami Vaknin 2013-10-17 05:22:27 EDT
rhos 4.0 on rhel 6.5, puddle 2013-10-15.1

It looks like rhos installation by packstack sets the default email addresses of all services users, except for the admin's default email which is still test@test.com, which I expect it to be at least "admin@localhost.

BTW, I would suggest to add an additional configuration keys to packstack which configure a corporation smtp server and email addresses, this would be a great addition to rhos over upstream versions.

# keystone user-list 
|                id                |    name    | enabled |        email         |
| c1fafe3f0dbf44b2896722e45d401d73 |   admin    |   True  |    test@test.com     |
| a51e6623978c4b43804526c549731143 | ceilometer |   True  | ceilometer@localhost |
| f237e3d288654e81911c8adf6c8f6e6c |   cinder   |   True  |   cinder@localhost   |
| fb457f4d3b2b426c867614704503ad8a |   glance   |   True  |   glance@localhost   |
| 948d344733ef475daf335aff11c3b8ab |  neutron   |   True  |  neutron@localhost   |
| b7870d70db104aaaa3dfab3aacb62afc |    nova    |   True  |    nova@localhost    |
| 6c7cbc3806a342f9be804c1372733ee6 |  vlan_211  |   True  |                      |
| b76993a0f00244c4a831293f331af045 |  vlan_212  |   True  |                      |
| c98d6feb01ba46c5b4a3e090e0d095af |  vlan_213  |   True  |                      |
| ac275a9420a64d5eac967e588501b7ee |  vlan_214  |   True  |                      |
Comment 3 Alvaro Lopez Ortega 2013-12-03 12:54:09 EST
Packstack isn't supposed to do this sort of things. It'd be confusing to ask for an email when running packstack, and actually it takes exactly one command to set up a new email in keystone.
Comment 4 Francesco Vollero 2013-12-03 13:36:31 EST
About what Alvaro said, I would like to quote the line that change it (from OpenStack manual) http://docs.openstack.org/developer/keystone/configuration.html#user-update
Comment 5 Marko Myllynen 2014-09-12 04:58:53 EDT
The real issue with test@test.com is that it is a real email address, not a fake one, and nobody knows who is reading all those emails sent to test.com. IMHO this sounds almost like a security issue.

If you insist using a fake address then use test@example.com which does not have this risk associated with it, not a randomly chosen 3rd party address. root@localhost might also be a viable option.

Comment 6 Javier Peña 2014-09-26 10:00:37 EDT
Patch proposed for review -> https://review.openstack.org/124406
Comment 8 Scott Lewis 2015-06-22 08:54:07 EDT
This bug has been closed because OSP-4 has reached its end of life: https://rhn.redhat.com/errata/RHSA-2015-1127.html

Note You need to log in before you can comment on or make changes to this bug.